let
  nixpkgs = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.09";
    rev = "f18fbc33930d7569cfedb8acd75177d0ff7c8678";
  };
in

{
  inherit nixpkgs;
  "channels-nixos-stable" = nixpkgs;
  "channels-nixos-20.03" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-20.03";
    rev = "929768261a3ede470eafb58d5b819e1a848aa8bf";
  };
  "channels-nixos-19.09" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-19.09";
    rev = "75f4ba05c63be3f147bcc2f7bd4ba1f029cedcb1";
  };
  "channels-nixos-unstable" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "nixos-unstable";
    rev = "891f607d5301d6730cb1f9dcf3618bcb1ab7f10e";
  };
  "nixpkgs-master" = {
    url = "https://github.com/NixOS/nixpkgs/";
    ref = "master";
    rev = "fb3970ef7d144525dfcd1c39c0d0d122d248b185";
  };
  "home-manager-module" = {
    url = "https://github.com/nix-community/home-manager";
    ref = "release-20.09";
    rev = "91bd34620d73340be03642279ee0d1c64110ee6c";
  };
}
